Bug 28850 - PHP: update to latest version
Summary: PHP: update to latest version
Status: RESOLVED FIXED
Alias: None
Product: Mageia
Classification: Unclassified
Component: Backports (show other bugs)
Version: 7
Hardware: All Linux
Priority: Normal normal
Target Milestone: ---
Assignee: QA Team
QA Contact:
URL:
Whiteboard: MGA7-64-OK
Keywords: validated_backport
Depends on: 28849
Blocks:
  Show dependency treegraph
 
Reported: 2021-04-28 16:05 CEST by Marc Krämer
Modified: 2021-05-07 11:42 CEST (History)
1 user (show)

See Also:
Source RPM: php
CVE:
Status comment:


Attachments

Description Marc Krämer 2021-04-28 16:05:41 CEST
new version available
Comment 1 Marc Krämer 2021-04-28 16:06:46 CEST
SRPM: php-7.4.18-1.mga7.src.rpm
RPMS:
php-ini-7.4.18-1.mga7
apache-mod_php-7.4.18-1.mga7
php-cli-7.4.18-1.mga7
php-cgi-7.4.18-1.mga7
lib64php_common7-7.4.18-1.mga7
php-devel-7.4.18-1.mga7
php-openssl-7.4.18-1.mga7
php-zlib-7.4.18-1.mga7
php-doc-7.4.18-1.mga7
php-bcmath-7.4.18-1.mga7
php-bz2-7.4.18-1.mga7
php-calendar-7.4.18-1.mga7
php-ctype-7.4.18-1.mga7
php-curl-7.4.18-1.mga7
php-dba-7.4.18-1.mga7
php-dom-7.4.18-1.mga7
php-enchant-7.4.18-1.mga7
php-exif-7.4.18-1.mga7
php-fileinfo-7.4.18-1.mga7
php-filter-7.4.18-1.mga7
php-ftp-7.4.18-1.mga7
php-gd-7.4.18-1.mga7
php-gettext-7.4.18-1.mga7
php-gmp-7.4.18-1.mga7
php-iconv-7.4.18-1.mga7
php-imap-7.4.18-1.mga7
php-intl-7.4.18-1.mga7
php-json-7.4.18-1.mga7
php-ldap-7.4.18-1.mga7
php-mbstring-7.4.18-1.mga7
php-mysqli-7.4.18-1.mga7
php-mysqlnd-7.4.18-1.mga7
php-odbc-7.4.18-1.mga7
php-opcache-7.4.18-1.mga7
php-pcntl-7.4.18-1.mga7
php-pdo-7.4.18-1.mga7
php-pdo_dblib-7.4.18-1.mga7
php-pdo_firebird-7.4.18-1.mga7
php-pdo_mysql-7.4.18-1.mga7
php-pdo_odbc-7.4.18-1.mga7
php-pdo_pgsql-7.4.18-1.mga7
php-pdo_sqlite-7.4.18-1.mga7
php-pgsql-7.4.18-1.mga7
php-phar-7.4.18-1.mga7
php-posix-7.4.18-1.mga7
php-readline-7.4.18-1.mga7
php-session-7.4.18-1.mga7
php-shmop-7.4.18-1.mga7
php-snmp-7.4.18-1.mga7
php-soap-7.4.18-1.mga7
php-sockets-7.4.18-1.mga7
php-sodium-7.4.18-1.mga7
php-sqlite3-7.4.18-1.mga7
php-sysvmsg-7.4.18-1.mga7
php-sysvsem-7.4.18-1.mga7
php-sysvshm-7.4.18-1.mga7
php-tidy-7.4.18-1.mga7
php-tokenizer-7.4.18-1.mga7
php-xmlreader-7.4.18-1.mga7
php-xmlrpc-7.4.18-1.mga7
php-xmlwriter-7.4.18-1.mga7
php-xsl-7.4.18-1.mga7
php-zip-7.4.18-1.mga7
php-fpm-7.4.18-1.mga7
php-fpm-apache-7.4.18-1.mga7
phpdbg-7.4.18-1.mga7
php-debugsource-7.4.18-1.mga7
php-debuginfo-7.4.18-1.mga7
apache-mod_php-debuginfo-7.4.18-1.mga7
php-cli-debuginfo-7.4.18-1.mga7
php-cgi-debuginfo-7.4.18-1.mga7
lib64php_common7-debuginfo-7.4.18-1.mga7
php-openssl-debuginfo-7.4.18-1.mga7
php-zlib-debuginfo-7.4.18-1.mga7
php-bcmath-debuginfo-7.4.18-1.mga7
php-bz2-debuginfo-7.4.18-1.mga7
php-calendar-debuginfo-7.4.18-1.mga7
php-ctype-debuginfo-7.4.18-1.mga7
php-curl-debuginfo-7.4.18-1.mga7
php-dba-debuginfo-7.4.18-1.mga7
php-dom-debuginfo-7.4.18-1.mga7
php-enchant-debuginfo-7.4.18-1.mga7
php-exif-debuginfo-7.4.18-1.mga7
php-fileinfo-debuginfo-7.4.18-1.mga7
php-filter-debuginfo-7.4.18-1.mga7
php-ftp-debuginfo-7.4.18-1.mga7
php-gd-debuginfo-7.4.18-1.mga7
php-gettext-debuginfo-7.4.18-1.mga7
php-gmp-debuginfo-7.4.18-1.mga7
php-iconv-debuginfo-7.4.18-1.mga7
php-imap-debuginfo-7.4.18-1.mga7
php-intl-debuginfo-7.4.18-1.mga7
php-json-debuginfo-7.4.18-1.mga7
php-ldap-debuginfo-7.4.18-1.mga7
php-mbstring-debuginfo-7.4.18-1.mga7
php-mysqli-debuginfo-7.4.18-1.mga7
php-mysqlnd-debuginfo-7.4.18-1.mga7
php-odbc-debuginfo-7.4.18-1.mga7
php-opcache-debuginfo-7.4.18-1.mga7
php-pcntl-debuginfo-7.4.18-1.mga7
php-pdo-debuginfo-7.4.18-1.mga7
php-pdo_dblib-debuginfo-7.4.18-1.mga7
php-pdo_firebird-debuginfo-7.4.18-1.mga7
php-pdo_mysql-debuginfo-7.4.18-1.mga7
php-pdo_odbc-debuginfo-7.4.18-1.mga7
php-pdo_pgsql-debuginfo-7.4.18-1.mga7
php-pdo_sqlite-debuginfo-7.4.18-1.mga7
php-pgsql-debuginfo-7.4.18-1.mga7
php-phar-debuginfo-7.4.18-1.mga7
php-posix-debuginfo-7.4.18-1.mga7
php-readline-debuginfo-7.4.18-1.mga7
php-session-debuginfo-7.4.18-1.mga7
php-shmop-debuginfo-7.4.18-1.mga7
php-snmp-debuginfo-7.4.18-1.mga7
php-soap-debuginfo-7.4.18-1.mga7
php-sockets-debuginfo-7.4.18-1.mga7
php-sodium-debuginfo-7.4.18-1.mga7
php-sqlite3-debuginfo-7.4.18-1.mga7
php-sysvmsg-debuginfo-7.4.18-1.mga7
php-sysvsem-debuginfo-7.4.18-1.mga7
php-sysvshm-debuginfo-7.4.18-1.mga7
php-tidy-debuginfo-7.4.18-1.mga7
php-tokenizer-debuginfo-7.4.18-1.mga7
php-xmlreader-debuginfo-7.4.18-1.mga7
php-xmlrpc-debuginfo-7.4.18-1.mga7
php-xmlwriter-debuginfo-7.4.18-1.mga7
php-xsl-debuginfo-7.4.18-1.mga7
php-zip-debuginfo-7.4.18-1.mga7
php-fpm-debuginfo-7.4.18-1.mga7
phpdbg-debuginfo-7.4.18-1.mga7
Comment 2 Marc Krämer 2021-04-30 12:31:43 CEST
Bugfix release of php updating to version 7.4.18

Imap:
Fixed bug #80710 (imap_mail_compose() header injection).

References:
https://www.php.net/ChangeLog-7.php#7.4.18
========================

Updated packages in core/backports_testing:
========================
RPMS:
php-ini-7.4.18-1.mga7
apache-mod_php-7.4.18-1.mga7
php-cli-7.4.18-1.mga7
php-cgi-7.4.18-1.mga7
lib64php_common7-7.4.18-1.mga7
php-devel-7.4.18-1.mga7
php-openssl-7.4.18-1.mga7
php-zlib-7.4.18-1.mga7
php-doc-7.4.18-1.mga7
php-bcmath-7.4.18-1.mga7
php-bz2-7.4.18-1.mga7
php-calendar-7.4.18-1.mga7
php-ctype-7.4.18-1.mga7
php-curl-7.4.18-1.mga7
php-dba-7.4.18-1.mga7
php-dom-7.4.18-1.mga7
php-enchant-7.4.18-1.mga7
php-exif-7.4.18-1.mga7
php-fileinfo-7.4.18-1.mga7
php-filter-7.4.18-1.mga7
php-ftp-7.4.18-1.mga7
php-gd-7.4.18-1.mga7
php-gettext-7.4.18-1.mga7
php-gmp-7.4.18-1.mga7
php-iconv-7.4.18-1.mga7
php-imap-7.4.18-1.mga7
php-intl-7.4.18-1.mga7
php-json-7.4.18-1.mga7
php-ldap-7.4.18-1.mga7
php-mbstring-7.4.18-1.mga7
php-mysqli-7.4.18-1.mga7
php-mysqlnd-7.4.18-1.mga7
php-odbc-7.4.18-1.mga7
php-opcache-7.4.18-1.mga7
php-pcntl-7.4.18-1.mga7
php-pdo-7.4.18-1.mga7
php-pdo_dblib-7.4.18-1.mga7
php-pdo_firebird-7.4.18-1.mga7
php-pdo_mysql-7.4.18-1.mga7
php-pdo_odbc-7.4.18-1.mga7
php-pdo_pgsql-7.4.18-1.mga7
php-pdo_sqlite-7.4.18-1.mga7
php-pgsql-7.4.18-1.mga7
php-phar-7.4.18-1.mga7
php-posix-7.4.18-1.mga7
php-readline-7.4.18-1.mga7
php-session-7.4.18-1.mga7
php-shmop-7.4.18-1.mga7
php-snmp-7.4.18-1.mga7
php-soap-7.4.18-1.mga7
php-sockets-7.4.18-1.mga7
php-sodium-7.4.18-1.mga7
php-sqlite3-7.4.18-1.mga7
php-sysvmsg-7.4.18-1.mga7
php-sysvsem-7.4.18-1.mga7
php-sysvshm-7.4.18-1.mga7
php-tidy-7.4.18-1.mga7
php-tokenizer-7.4.18-1.mga7
php-xmlreader-7.4.18-1.mga7
php-xmlrpc-7.4.18-1.mga7
php-xmlwriter-7.4.18-1.mga7
php-xsl-7.4.18-1.mga7
php-zip-7.4.18-1.mga7
php-fpm-7.4.18-1.mga7
php-fpm-apache-7.4.18-1.mga7
phpdbg-7.4.18-1.mga7
php-debugsource-7.4.18-1.mga7
php-debuginfo-7.4.18-1.mga7
apache-mod_php-debuginfo-7.4.18-1.mga7
php-cli-debuginfo-7.4.18-1.mga7
php-cgi-debuginfo-7.4.18-1.mga7
lib64php_common7-debuginfo-7.4.18-1.mga7
php-openssl-debuginfo-7.4.18-1.mga7
php-zlib-debuginfo-7.4.18-1.mga7
php-bcmath-debuginfo-7.4.18-1.mga7
php-bz2-debuginfo-7.4.18-1.mga7
php-calendar-debuginfo-7.4.18-1.mga7
php-ctype-debuginfo-7.4.18-1.mga7
php-curl-debuginfo-7.4.18-1.mga7
php-dba-debuginfo-7.4.18-1.mga7
php-dom-debuginfo-7.4.18-1.mga7
php-enchant-debuginfo-7.4.18-1.mga7
php-exif-debuginfo-7.4.18-1.mga7
php-fileinfo-debuginfo-7.4.18-1.mga7
php-filter-debuginfo-7.4.18-1.mga7
php-ftp-debuginfo-7.4.18-1.mga7
php-gd-debuginfo-7.4.18-1.mga7
php-gettext-debuginfo-7.4.18-1.mga7
php-gmp-debuginfo-7.4.18-1.mga7
php-iconv-debuginfo-7.4.18-1.mga7
php-imap-debuginfo-7.4.18-1.mga7
php-intl-debuginfo-7.4.18-1.mga7
php-json-debuginfo-7.4.18-1.mga7
php-ldap-debuginfo-7.4.18-1.mga7
php-mbstring-debuginfo-7.4.18-1.mga7
php-mysqli-debuginfo-7.4.18-1.mga7
php-mysqlnd-debuginfo-7.4.18-1.mga7
php-odbc-debuginfo-7.4.18-1.mga7
php-opcache-debuginfo-7.4.18-1.mga7
php-pcntl-debuginfo-7.4.18-1.mga7
php-pdo-debuginfo-7.4.18-1.mga7
php-pdo_dblib-debuginfo-7.4.18-1.mga7
php-pdo_firebird-debuginfo-7.4.18-1.mga7
php-pdo_mysql-debuginfo-7.4.18-1.mga7
php-pdo_odbc-debuginfo-7.4.18-1.mga7
php-pdo_pgsql-debuginfo-7.4.18-1.mga7
php-pdo_sqlite-debuginfo-7.4.18-1.mga7
php-pgsql-debuginfo-7.4.18-1.mga7
php-phar-debuginfo-7.4.18-1.mga7
php-posix-debuginfo-7.4.18-1.mga7
php-readline-debuginfo-7.4.18-1.mga7
php-session-debuginfo-7.4.18-1.mga7
php-shmop-debuginfo-7.4.18-1.mga7
php-snmp-debuginfo-7.4.18-1.mga7
php-soap-debuginfo-7.4.18-1.mga7
php-sockets-debuginfo-7.4.18-1.mga7
php-sodium-debuginfo-7.4.18-1.mga7
php-sqlite3-debuginfo-7.4.18-1.mga7
php-sysvmsg-debuginfo-7.4.18-1.mga7
php-sysvsem-debuginfo-7.4.18-1.mga7
php-sysvshm-debuginfo-7.4.18-1.mga7
php-tidy-debuginfo-7.4.18-1.mga7
php-tokenizer-debuginfo-7.4.18-1.mga7
php-xmlreader-debuginfo-7.4.18-1.mga7
php-xmlrpc-debuginfo-7.4.18-1.mga7
php-xmlwriter-debuginfo-7.4.18-1.mga7
php-xsl-debuginfo-7.4.18-1.mga7
php-zip-debuginfo-7.4.18-1.mga7
php-fpm-debuginfo-7.4.18-1.mga7
phpdbg-debuginfo-7.4.18-1.mga7

SRPM:
php-7.4.18-1.mga7.src.rpm

Assignee: mageia => qa-bugs

Marc Krämer 2021-04-30 12:34:37 CEST

Depends on: (none) => 28849

Comment 3 Aurelien Oudelet 2021-05-06 20:35:21 CEST
Updating from backport_testing on a MGA7 Plasma x86_64 VM with Apache + mariadb and with wordpress CMS.

Updating OK.

Wordpress is running OK.

Validating backport.

CC: (none) => ouaurelien
Whiteboard: (none) => MGA7-64-OK
Keywords: (none) => validated_backport

Comment 4 Thomas Backlund 2021-05-07 07:46:24 CEST
What did you test ?

this update is about php 7.4.18, but 7.4.19 has been pushed to to backports_testing

Keywords: validated_backport => (none)

Comment 5 Marc Krämer 2021-05-07 08:52:21 CEST
sorry. There was a regression in for pgsql:
"Reverted bug fix for #80892 (PDO::PARAM_INT is treated the same as PDO::PARAM_STR)."
And 7.4.19 was pushed yesterday. I've forgotten to write it here. Since this is the only change, I don't think our test will show any other result.
Comment 6 Thomas Backlund 2021-05-07 11:42:13 CEST
Ok, moved.

Status: NEW => RESOLVED
Resolution: (none) => FIXED
Keywords: (none) => validated_backport


Note You need to log in before you can comment on or make changes to this bug.